package de.jottyfan.csv2camt.csv;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 
 * @author jotty
 * 
 */
public class CsvBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private String konto;
	private String kontonummer;
	private String iban;
	private String waehrung;
	
	private String zeitraum;
	private String letzterKontostand;
	private String kontostandDatum;
	private String kontostandFinal;
	
	private final List<CsvLine> list;
	
	public List<CsvLine> getList() {
		return list;
	}

	public CsvBean() {
		list = new ArrayList<>();
	}

	public String getKonto() {
		return konto;
	}

	public void setKonto(String konto) {
		this.konto = konto;
	}

	public String getKontonummer() {
		return kontonummer;
	}

	public void setKontonummer(String kontonummer) {
		this.kontonummer = kontonummer;
	}

	public String getIban() {
		return iban;
	}

	public void setIban(String iban) {
		this.iban = iban;
	}

	public String getWaehrung() {
		return waehrung;
	}

	public void setWaehrung(String waehrung) {
		this.waehrung = waehrung;
	}

	public String getZeitraum() {
		return zeitraum;
	}

	public void setZeitraum(String zeitraum) {
		this.zeitraum = zeitraum;
	}

	public String getLetzterKontostand() {
		return letzterKontostand;
	}

	public void setLetzterKontostand(String letzterKontostand) {
		this.letzterKontostand = letzterKontostand;
	}

	public String getKontostandDatum() {
		return kontostandDatum;
	}

	public void setKontostandDatum(String kontostandDatum) {
		this.kontostandDatum = kontostandDatum;
	}

	public String getKontostandFinal() {
		return kontostandFinal;
	}

	public void setKontostandFinal(String kontostandFinal) {
		this.kontostandFinal = kontostandFinal;
	}
}
