package de.jottyfan.csv2camt;

import java.io.IOException;

import de.jottyfan.csv2camt.csv.CsvBean;
import de.jottyfan.csv2camt.csv.CsvParser;
import de.jottyfan.csv2camt.xml.CamtWriter;

/**
 * 
 * @author jotty
 * 
 */
public class Converter {

	private CsvBean bean;
	private String filename;

	public Converter readCsv(String filename) throws IOException {
		this.filename = filename.replace(".csv", ".xml");
		bean = new CsvParser().read(filename);
		return this;
	}

	public void writeCamt() throws Exception {
		new CamtWriter().write(bean, filename);
	}
}
