package de.jottyfan.csv2camt.xml;

import static org.junit.jupiter.api.Assertions.assertTrue;

import org.junit.jupiter.api.Test;

import de.jottyfan.csv2camt.csv.CsvBean;
import de.jottyfan.csv2camt.csv.CsvLine;

/**
 * 
 * @author jotty
 * 
 */
public class TestCamtWriter {
	@Test
	public void testWrite() throws Exception {
		CamtWriter writer = new CamtWriter();
		CsvBean bean = new CsvBean();
		bean.setIban("DE12345678901234567890");
		bean.setKontostandDatum("01-02-2003");
		bean.setKontostandFinal("12345,67");
		bean.setWaehrung("EUR");
		bean.getList().add(new CsvLine("31.3.2023", "31.3.2023", "SEPA Überweisung", "Mickey Mouse", "Gemeindefreizeit",
				"DE98765432109876543210", null, "NOTPROVIDED", null, null, null, "128,00", null, null, null, null, "128", "EUR"));
		bean.getList().add(new CsvLine("31.3.2023", "31.3.2023", "SEPA Überweisung", "Donald Duck", "Gemeindefreizeit",
				"DE98765432109876543210", null, "NOTPROVIDED", null, null, null, "64,00", null, null, null, null, "64", "EUR"));
		writer.write(bean, "/home/jotty/Schreibtisch/example.xml");
		assertTrue(true);
	}
}
